From: Bas Couwenberg <sebastic@debian.org>
Date: Sat, 4 Dec 2021 18:08:31 +0000
Subject: Also skip tests with GEOS 3.9.1+.

Forwarded: not-needed
---
 lib/cartopy/tests/mpl/test_gridliner.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

--- a/lib/cartopy/tests/mpl/test_gridliner.py
+++ b/lib/cartopy/tests/mpl/test_gridliner.py
@@ -128,7 +128,7 @@ def test_gridliner_specified_lines():
 grid_label_tol = 3.9
 
 
-@pytest.mark.skipif(geos_version == (3, 9, 0), reason="GEOS intersection bug")
+@pytest.mark.skipif(geos_version >= (3, 9, 0), reason="GEOS intersection bug")
 @pytest.mark.natural_earth
 @pytest.mark.mpl_image_compare(filename='gridliner_labels.png',
                                tolerance=grid_label_tol)
@@ -205,7 +205,7 @@ def test_grid_labels():
     return fig
 
 
-@pytest.mark.skipif(geos_version == (3, 9, 0), reason="GEOS intersection bug")
+@pytest.mark.skipif(geos_version >= (3, 9, 0), reason="GEOS intersection bug")
 @pytest.mark.natural_earth
 @pytest.mark.mpl_image_compare(filename='gridliner_labels_tight.png',
                                tolerance=2.92)
@@ -249,7 +249,7 @@ def test_grid_labels_tight():
     return fig
 
 
-@pytest.mark.skipif(geos_version == (3, 9, 0), reason="GEOS intersection bug")
+@pytest.mark.skipif(geos_version >= (3, 9, 0), reason="GEOS intersection bug")
 @pytest.mark.natural_earth
 @pytest.mark.parametrize('proj', TEST_PROJS)
 @pytest.mark.mpl_image_compare(style='mpl20')
@@ -265,7 +265,7 @@ def test_grid_labels_inline(proj):
     return fig
 
 
-@pytest.mark.skipif(geos_version == (3, 9, 0), reason="GEOS intersection bug")
+@pytest.mark.skipif(geos_version >= (3, 9, 0), reason="GEOS intersection bug")
 @pytest.mark.natural_earth
 @pytest.mark.parametrize('proj', TEST_PROJS)
 @pytest.mark.mpl_image_compare(style='mpl20', tolerance=0.79)
@@ -290,7 +290,7 @@ def test_grid_labels_inline_usa(proj):
     return fig
 
 
-@pytest.mark.skipif(geos_version == (3, 9, 0), reason="GEOS intersection bug")
+@pytest.mark.skipif(geos_version >= (3, 9, 0), reason="GEOS intersection bug")
 @pytest.mark.mpl_image_compare(filename='gridliner_labels_bbox_style.png',
                                tolerance=grid_label_tol)
 def test_gridliner_labels_bbox_style():
